Subject: Re: GCC 64bit Support on Sparc
To: J. Alexander Jacocks <>
From: Manuel Bouyer <>
List: tech-pkg
Date: 06/28/2003 15:46:03
On Thu, Jun 26, 2003 at 05:49:33PM -0400, J. Alexander Jacocks wrote:
> Thanks to the help of lots of people, I have gotten my Ultra AXmp+ 
> bootstrapped, and GCC 3.3 self-hosted.
> I just today tried to compile a new kernel audio driver, and noticed 
> that gcc is complaining that "-m64" is not supported.
> I thought that the default config for GCC >= 3.2 was to support 32 and 
> 64 bit code.

Why do you need -m64 ? gcc on NetBSD/sparc64 should build 64bit code by default,
without any options.

Manuel Bouyer <>
     NetBSD: 24 ans d'experience feront toujours la difference